Open SCAP Library

Typedefs | Functions
oval_agent_xccdf_api.h File Reference
OVAL » OVALAGENT
`#include <oscap.h>`
`#include "oval_agent_api.h"`
`#include "xccdf_policy.h"`

Go to the source code of this file.

## Typedefs
typedef xccdf_test_result_type_t() | xccdf_policy_eval_rule_cb_t(struct xccdf_policy *policy, const char *rule_id, const char *id, struct xccdf_value_binding_iterator *it, void *usr)

## Functions
xccdf_test_result_type_t | oval_agent_eval_rule (struct xccdf_policy *policy, const char *rule_id, const char *id, const char *href, struct xccdf_value_binding_iterator *it, struct xccdf_check_import_iterator *check_import_it, void *usr)
| Internal OVAL Agent Callback that can be used to evaluate XCCDF content. More...
int | oval_agent_resolve_variables (struct oval_agent_session *session, struct xccdf_value_binding_iterator *it)
| Resolve variables from XCCDF Value Bindings and set their values to OVAL Variables. More...
void | oval_agent_export_sysinfo_to_xccdf_result (struct oval_agent_session *session, struct xccdf_result *ritem)

## Detailed Description

Author
  "Peter Vrabec" pvrab.nosp@m.ec@g.nosp@m.mail..nosp@m.com